Planlı Rapor Listeleme Örnek İstek

Örnek İstek

Örnek istek planlanan bir raporun detaylarını verir. Rapor detaylarında, planlanan raporun periyodunu, bir sonraki yaratılma tarihini ve rapor türü bilgileri bulunur.

curl -L 'https://sellingpartnerapi-eu.amazon.com/reports/2021-06-30/schedules/50011019414' \
-H 'x-amz-access-token: {{access-token}}' \
-H 'X-Amz-Security-Token: {{security-token}}' \
-H 'X-Amz-Date: {{request-date}}' \
-H 'Authorization: {{authorization}}' \
-H 'Content-Type: application/json' \
-H 'Authorization: AWS4-HMAC-SHA256 Credential=ASIAUZLEGP75GI5XRHWP/20230226/eu-west-1/execute-api/aws4_request, SignedHeaders=host;x-amz-access-token;x-amz-date;x-amz-security-token, Signature=7d36df6f0eea6d980144fe108e7c9f217e238a7c5c5dec632ff9b9bbaa81755a' \
-d ''
{
    "reportType": "GET_XML_BROWSE_TREE_DATA",
    "marketplaceIds": [
        "A33AVAJ2PDY3EV"
    ],
    "period": "PT1H",
    "nextReportCreationTime": "2023-02-26T11:10:46+00:00",
    "reportScheduleId": "50011019414"
}
{
    "errors": [
        {
            "code": "NotFound",
            "message": "No report schedule found for Account amzn1.merchant.o.AO0WPKWDI17JQ Report schedule Id 500110194141"
        }
    ]
}
Doldurulması Gereken Güvenlik Parametreleri

Örnek isteği gönderip sonuç alabilmeniz için istek içerisinde bulunan ve aşağıda listesi verilen parametreleri doldurmanız gerekmektedir.

Güvenlik Parametreleri
{{access-token}}
{{security-token}}
{{request-date}}
{{authorization}}